GET/demandshop

Get Demand Shop

Retrieve details of a Hotel Demand Shop.

Retrieves details of a Hotel Demand Shop based on the provided demandShopId.
GET/demandshop

Parameter Details

NameInTypeRequiredDescription
demandShopIdqueryintegerOptionalUnique identifier for the Hotel Demand Shop.

Responses

StatusMeaningDescriptionSchema
200OKSuccessful retrieval of hotel demand shop details.
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /demandshop \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
[
  {
    "shopId": 36415,
    "shopName": "My first shop",
    "city": "Surampalem",
    "country": "Switzerland",
    "horizon": 30,
    "hotelCode": 1,
    "estimatedAttendee": ">10000",
    "proximity": 0,
    "startDate": "2025-09-01",
    "category": "0",
    "subCategory": "0",
    "status": 1
  }
]

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.